package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabWmStoreCouponConfigMapper;
import com.gic.enterprise.dto.wm.WmStoreCouponConfigDTO;
import com.gic.enterprise.entity.TabWmStoreCouponConfig;
import com.gic.enterprise.qo.wm.CouponConfigQO;
import com.gic.enterprise.service.WmStoreCouponConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("wmStoreCouponConfigService")
public class WmStoreCouponConfigServiceImpl implements WmStoreCouponConfigService{
    @Autowired
    private TabWmStoreCouponConfigMapper tabWmStoreCouponConfigMapper;

    @Override
    public void saveCouponConfig(WmStoreCouponConfigDTO dto) {
        Date now = new Date();
        dto.setCreateTime(now);
        dto.setUpdateTime(now);
        dto.setStatus(1);
        TabWmStoreCouponConfig record = EntityUtil.changeEntityNew(TabWmStoreCouponConfig.class, dto);
        tabWmStoreCouponConfigMapper.insert(record);
    }

    @Override
    public TabWmStoreCouponConfig getCouponConfig(CouponConfigQO params) {
        return tabWmStoreCouponConfigMapper.getCouponConfig(params);
    }
}
